import { EventProxy } from "./EventProxy";
import { DomWrapper, DomRenderer, NormalizedEvent } from "./dom";
import { Point, Type } from "./type";
import { Rect } from "./Rect";
import { Key } from "./Key";
import { List$1 } from "./List$1";
/**
 * @hidden
 */
export declare abstract class BaseDOMEventProxy extends EventProxy {
    static $t: Type;
    protected b3: DomWrapper;
    d(): EventProxy;
    static get bx(): boolean;
    bu: boolean;
    protected bw: boolean;
    bj(a: DomWrapper): Rect;
    bq(e_: NormalizedEvent): boolean;
    protected b2: DomRenderer;
    protected ct(a: NormalizedEvent): void;
    private bp;
    static bs: boolean;
    static bt: boolean;
    private bn;
    protected cp(): void;
    protected static cs(source_: any): void;
    protected static cm(source_: any): void;
    protected cn(): void;
    protected av(): void;
    static cb: number;
    static b8: number;
    protected ca(): number;
    protected b9(): number;
    static cr(e_: NormalizedEvent): void;
    static c3(a: DomWrapper): Rect;
    private b0;
    private b1;
    private by;
    private bz;
    private b4;
    protected c2: Point;
    protected c1: Point;
    protected get b7(): number;
    protected set b7(a: number);
    protected cw(a: NormalizedEvent): void;
    protected cx(e_: NormalizedEvent): void;
    protected cl(e_: NormalizedEvent): void;
    protected cj(e_: NormalizedEvent): void;
    private bm;
    private b5;
    protected cq(): void;
    protected cc(): void;
    protected co(): void;
    protected br: boolean;
    private bo;
    protected get bv(): boolean;
    protected set bv(a: boolean);
    protected ch(a: NormalizedEvent): void;
    protected ci(a: NormalizedEvent): void;
    protected cu(a: NormalizedEvent): void;
    private bl;
    protected cg(a: NormalizedEvent): void;
    protected cy(a: NormalizedEvent): void;
    protected ck(a: NormalizedEvent): void;
    protected cd(a: NormalizedEvent): void;
    protected cf(a: NormalizedEvent): void;
    protected c0(a: NormalizedEvent): Key;
    static cz(a: NormalizedEvent): Key;
    protected ce(a: NormalizedEvent, b: boolean): void;
    protected cv(a: NormalizedEvent): void;
    bi(): Point;
}
/**
 * @hidden
 */
export declare class DOMEventProxy extends BaseDOMEventProxy {
    static $t: Type;
    private static dc;
    private dd;
    private df;
    private c5;
    de: any;
    constructor(a: DomWrapper, b: DomRenderer, c: boolean);
    private c7;
    dg(a: any, b: string, c: List$1<() => void>): void;
    as(a: any, b: string): void;
    private dq;
    private dk;
    private dl;
    private dm;
    private dn;
    private dp;
    private dj;
    private dh;
    private di;
    private d2;
    private dt;
    private db;
    private d3;
    private c9;
    private da;
    private c8;
    private dy;
    private dv;
    private dz;
    dw(): void;
    private c4;
    private d1;
    private ds;
    private c6;
    private dr;
    private dx;
    private d0;
    private du;
    bg(a: any, b: string): void;
    au(): void;
}
